summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRóbert Čerňanský <openhs@tightmail.com>2017-11-11 19:42:48 +0100
committerDavid Seifert <soap@gentoo.org>2017-11-14 10:47:26 +0100
commit94e99c585ca9e3a88a778bcf81a85a807ebd1a4f (patch)
treeb5dd9219c02808884f981f8db59dee944132724b
parentsys-libs/glibc: added missing anchor to nsswitch.conf check, bug #627338 (diff)
downloadgentoo-94e99c585ca9e3a88a778bcf81a85a807ebd1a4f.zip
gentoo-94e99c585ca9e3a88a778bcf81a85a807ebd1a4f.tar.gz
gentoo-94e99c585ca9e3a88a778bcf81a85a807ebd1a4f.tar.bz2
media-plugins/audacious-plugins: Fix dependency of Ampache plugin
Closes: https://bugs.gentoo.org/637162 Closes: https://github.com/gentoo/gentoo/pull/6173
-rw-r--r--media-plugins/audacious-plugins/audacious-plugins-3.9.ebuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/media-plugins/audacious-plugins/audacious-plugins-3.9.ebuild b/media-plugins/audacious-plugins/audacious-plugins-3.9.ebuild
index cc21399..41e4f61 100644
--- a/media-plugins/audacious-plugins/audacious-plugins-3.9.ebuild
+++ b/media-plugins/audacious-plugins/audacious-plugins-3.9.ebuild
@@ -25,7 +25,8 @@ IUSE="aac +adplug alsa ampache aosd bs2b cdda cue ffmpeg flac fluidsynth gnome h
REQUIRED_USE="
^^ ( gtk gtk3 qt5 )
qt5? ( !libnotify )
- || ( alsa jack pulseaudio sdl )"
+ || ( alsa jack pulseaudio sdl )
+ ampache? ( qt5 http )"
# The following plugins REQUIRE a GUI build of audacious, because non-GUI
# builds do NOT install the libaudgui library & headers.
@@ -52,7 +53,7 @@ RDEPEND="
~media-sound/audacious-${PV}[gtk?,gtk3?,qt5?]
aac? ( >=media-libs/faad2-2.7 )
alsa? ( >=media-libs/alsa-lib-1.0.16 )
- ampache? ( www-apps/ampache )
+ ampache? ( =media-libs/ampache_browser-1* )
aosd? (
x11-libs/libXrender
x11-libs/libXcomposite